Export SMS CSV#
Downloads every matching SMS as text/csv. Same filters as List SMS. Not paginated.
Columns: id, contact_id, contact_name, phone_number, email, direction, from_number, to_number, status, message, sentiment, created_at. Ids in the file are base64.
Authorizationstringheaderrequired
Bearer token in the format: Bearer {access_token}
searchstringquery
Contact first name, last name, or phone number
directionstringquery
Stored direction
statusstringquery
Stored SMS status
sentimentstringquery
Stored user_sentiment
date_fromstringquery
Start date Y-m-d
date_tostringquery
End date Y-m-d
curl --request GET \
--url 'https://app.rizzdial.com/api/reports/sms/export-csv?date_from=2026-10-01&date_to=2026-10-21' \
--header 'Authorization: Bearer {{bearer_token}}' \
--output sms_report.csv